﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Exporting Functions</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Exporting Functions</h1>
        <p>You can export an existing function in the following formats:</p>
        <ul>
            <li>
                <p style="font-weight: bold;">CSV</p>
            </li>
            <li>
                <p style="font-weight: bold;">Excel</p>
            </li>
            <li>
                <p style="font-weight: bold;">Complete Export<br /></p>
            </li>
        </ul>
        <p>When you export a function using CSV and Excel option, the downloaded file has only one sheet (<strong>FunctionsExportData</strong>).&#160;</p>
        <p>When you export a function using&#160;<strong>Complete Export</strong> option, the file gets downloaded in .xls format.&#160;The xls file has the following sheets.&#160;</p>
        <ul>
            <li>
                <p>Function Summary</p>
            </li>
            <li>
                <p>Business Process</p>
            </li>
            <li>
                <p>Entitlement</p>
            </li>
            <li>
                <p>Objects</p>
            </li>
        </ul>
        <p>You can use the <strong>Functions List</strong>&#160;page to search for the existing function. Based on the search criteria that you enter in the search or&#160;<strong>Advanced </strong>search parameter/filter fields, the system displays the search results. The content that is displayed can be exported in different formats, as required.<br />To export an existing function, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>SOD &gt;&#160;Ruleset &gt;&#160;Functions &gt;&#160;Functions List</strong>.</p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Click the Actions arrow and select required format in Export. The file gets downloaded. </p>
            </li>
        </ol>
        <p>The downloaded file consists of the following columns.<ul><li><p>Function Name - Displays the function names.</p></li><li><p>Description - Displays the descriptions of the functions.</p></li><li><p>Status - Displays the current status of the function.</p></li><li><p>Ruleset - Displays the rulesets that are associated with each function</p></li></ul></p>
    </body>
</html>